## org.apache.poi.hssf.record.chart
Class AreaFormatRecord

    java.lang.Object
      org.apache.poi.hssf.record.RecordBase
          org.apache.poi.hssf.record.Record
              org.apache.poi.hssf.record.StandardRecord
                  org.apache.poi.hssf.record.chart.AreaFormatRecord

    public final class AreaFormatRecord

extends StandardRecord

The area format record is used to define the colours and patterns for an area.

Author:
  Glen Stampoultzis (glens at apache.org)

Field Summary
`static short` `sid`

Constructor Summary
`AreaFormatRecord()`
`AreaFormatRecord(RecordInputStream in)`

Method Summary
`java.lang.Object` `clone()`
`short` `getBackcolorIndex()` Get the backcolor index field for the AreaFormat record.
`int` `getBackgroundColor()` Get the background color field for the AreaFormat record.
`protected int` `getDataSize()`
`short` `getForecolorIndex()` Get the forecolor index field for the AreaFormat record.
`int` `getForegroundColor()` Get the foreground color field for the AreaFormat record.
`short` `getFormatFlags()` Get the format flags field for the AreaFormat record.
`short` `getPattern()` Get the pattern field for the AreaFormat record.
`short` `getSid()` return the non static version of the id for this record.
`boolean` `isAutomatic()` automatic formatting
`boolean` `isInvert()` swap foreground and background colours when data is negative
`void` `serialize(LittleEndianOutput out)` Write the data content of this BIFF record.
`void` `setAutomatic(boolean value)` Sets the automatic field value.
`void` `setBackcolorIndex(short field_6_backcolorIndex)` Set the backcolor index field for the AreaFormat record.
`void` `setBackgroundColor(int field_2_backgroundColor)` Set the background color field for the AreaFormat record.
`void` `setForecolorIndex(short field_5_forecolorIndex)` Set the forecolor index field for the AreaFormat record.
`void` `setForegroundColor(int field_1_foregroundColor)` Set the foreground color field for the AreaFormat record.
`void` `setFormatFlags(short field_4_formatFlags)` Set the format flags field for the AreaFormat record.
`void` `setInvert(boolean value)` Sets the invert field value.
`void` `setPattern(short field_3_pattern)` Set the pattern field for the AreaFormat record.
`java.lang.String` `toString()` get a string representation of the record (for biffview/debugging)

Methods inherited from class org.apache.poi.hssf.record.StandardRecord
`getRecordSize, serialize`

Methods inherited from class org.apache.poi.hssf.record.Record
`cloneViaReserialise, serialize`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final short sid

See Also:
  Constant Field Values

Constructor Detail

### AreaFormatRecord

    public AreaFormatRecord()

### AreaFormatRecord

    public AreaFormatRecord(RecordInputStream in)

Method Detail

### toString

    public java.lang.String toString()

  Description copied from class: `Record`
  get a string representation of the record (for biffview/debugging)

  Overrides:
    `toString` in class `Record`

### serialize

    public void serialize(LittleEndianOutput out)

  Description copied from class: `StandardRecord`
  Write the data content of this BIFF record. The 'ushort sid' and 'ushort size' header fields have already been written by the superclass.
  The number of bytes written must equal the record size reported by `RecordBase.getRecordSize()`} minus four ( record header consiting of a 'ushort sid' and 'ushort reclength' has already been written by thye superclass).

  Specified by:
    `serialize` in class `StandardRecord`

### getDataSize

    protected int getDataSize()

  Specified by:
    `getDataSize` in class `StandardRecord`

### getSid

    public short getSid()

  Description copied from class: `Record`
  return the non static version of the id for this record.

  Specified by:
    `getSid` in class `Record`

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `Record`

### getForegroundColor

    public int getForegroundColor()

  Get the foreground color field for the AreaFormat record.

### setForegroundColor

    public void setForegroundColor(int field_1_foregroundColor)

  Set the foreground color field for the AreaFormat record.

### getBackgroundColor

    public int getBackgroundColor()

  Get the background color field for the AreaFormat record.

### setBackgroundColor

    public void setBackgroundColor(int field_2_backgroundColor)

  Set the background color field for the AreaFormat record.

### getPattern

    public short getPattern()

  Get the pattern field for the AreaFormat record.

### setPattern

    public void setPattern(short field_3_pattern)

  Set the pattern field for the AreaFormat record.

### getFormatFlags

    public short getFormatFlags()

  Get the format flags field for the AreaFormat record.

### setFormatFlags

    public void setFormatFlags(short field_4_formatFlags)

  Set the format flags field for the AreaFormat record.

### getForecolorIndex

    public short getForecolorIndex()

  Get the forecolor index field for the AreaFormat record.

### setForecolorIndex

    public void setForecolorIndex(short field_5_forecolorIndex)

  Set the forecolor index field for the AreaFormat record.

### getBackcolorIndex

    public short getBackcolorIndex()

  Get the backcolor index field for the AreaFormat record.

### setBackcolorIndex

    public void setBackcolorIndex(short field_6_backcolorIndex)

  Set the backcolor index field for the AreaFormat record.

### setAutomatic

    public void setAutomatic(boolean value)

  Sets the automatic field value. automatic formatting

### isAutomatic

    public boolean isAutomatic()

  automatic formatting

  Returns:
    the automatic field value.

### setInvert

    public void setInvert(boolean value)

  Sets the invert field value. swap foreground and background colours when data is negative

### isInvert

    public boolean isInvert()

  swap foreground and background colours when data is negative

  Returns:
    the invert field value.

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.